import javax.swing.JPanel;
import java.awt.*;

/**
  * Hilfsklasse zum Anzeigen zweier Würfel für Würfelspiele.
  * Je nach Augenzahl der letzten Würfelergebnisse werden die Bilder wuerfel_1.gif - wuerfel_6.gif angezeigt.
  *
  * @version 1.0 vom 16.06.2012
  * @author Thomas Schaller
  */


public class WuerfelPanel extends JPanel {

  // Anfang Attribute
  private Image[] bilder = new Image[6];  // Referenz auf die Würfelbilder wuerfel_x.gif
  private Wuerfel wuerfel1, wuerfel2;     // Referenz auf die anzuzeigenden Würfel
  // Ende Attribute
  
  /** Erzeugt ein Anzeigepanel für zwei Würfel.
  * @param w1 1. Würfel
  * @param w2 2. Würfel
  */
  public WuerfelPanel(Wuerfel w1, Wuerfel w2) {;
    this.wuerfel1 = w1;
    this.wuerfel2 = w2;
    // Bilder laden
    for (int i = 0; i <6  ; i++ ) {
      bilder[i] = Toolkit.getDefaultToolkit().getImage("wuerfel_"+(i+1)+".gif");
    } // end of for
    this.setBackground(Color.white);
  }
  
  /** Zeichnet das Panel. Angezeigt werden die Bilder für die zwei Augenzahlen der beiden Würfel.
  * Diese Methode wird automatisch von Java aufgerufen.
  * @param g Grafikkontext auf dem gezeichnet werden soll.
  */
  public void paint(Graphics g) {
    super.paint(g);
    g.drawImage(bilder[wuerfel1.getWurf()-1],45,40,Color.white,this);
    g.drawImage(bilder[wuerfel2.getWurf()-1],105,40,Color.white,this);
  }
  
} // end of Board